Reglamento general de los foros   •   FAQ   •   Buscar en el foro •  Registrarse | Iniciar sesión 



Portada » Foros Linux » Filosofía y conocimiento » Documentación


Nuevo tema Responder al tema
 [ 4 mensajes ] 
Patrocinadores

Autor
Buscar:
Mensaje

Desconectado
Miembro ETEL
Miembro ETEL
Avatar de Usuario

Registrado: Sab Jun 05, 2004 7:00 am
Mensajes: 1015
Ubicación: Segovia (España)

Nota Publicado: Jue Dic 19, 2013 1:42 pm 
Arriba  
Hola a todos.

¡EDITADO, VER AL FINAL!

Resulta que al actualizar a Ubuntu 13.10 me dejó de funcionar este programa (no se lanzaba) y me dispuse a solucionarlo. No se si funcionará con otras distros (por lo que he mirado parece que sí pero no lo aseguro) y como no encontré prácticamente documentación en castellano, aquí os dejo los pasos que yo seguí.

Al intentar ejecutar el programa desde el icono, este, no se lanza. Procedemos a ejecutar en consola donde nos arroja:

Código:
user@user:~$ griffith
Traceback (most recent call last):
  File "/usr/bin/griffith", line 86, in <module>
    import add
  File "/usr/share/griffith/lib/add.py", line 31, in <module>
    import quick_filter
  File "/usr/share/griffith/lib/quick_filter.py", line 25, in <module>
    import db
  File "/usr/share/griffith/lib/db/__init__.py", line 30, in <module>
    from _objects import *
  File "/usr/share/griffith/lib/db/_objects.py", line 33, in <module>
    import validators
  File "/usr/share/griffith/lib/db/validators.py", line 26, in <module>
    from sqlalchemy.orm.interfaces import AttributeExtension, InstrumentationManager
ImportError: cannot import name InstrumentationManager



La solución la he encontrado en:
http://forum.griffith.cc/index.php?action=recent
Que resulta que es un bug:
https://bugs.launchpad.net/ubuntu/+sour ... ug/1212397

SOLUCIÓN: La versión 0.13.0 de Griffith no es compatible con SqlAlchemy 0.8.
Para solucionarlo tenemos que hacer:
* Descargar el siguiente archivo del repositorio de código fuente
http://svn.berlios.de/svnroot/repos/griffith/trunk/lib/db/validators.py
y
* Sustituir el archivo validators.py de la ruta
Código:
/usr/share/griffith/lib/db

por el que hemos descargado (yo recomiendo hacer copia de seguridad del antiguo)


PARA HACER FUNCIONAR IMDb:
La solución la he encontrado en:
http://forum.griffith.cc/index.php?topic=1595.0
y
http://mylinuxramblings.wordpress.com/2013/05/23/griffith-and-imdb-plug-ins/

Descargar la nueva versión de los plugins de IMBd desde:
http://svn.berlios.de/svnroot/repos/griffith/trunk/lib/plugins/movie/PluginMovieIMDB.py
http://svn.berlios.de/svnroot/repos/griffith/trunk/lib/plugins/movie/PluginMovieIMDB-it.py
http://svn.berlios.de/svnroot/repos/griffith/trunk/lib/plugins/movie/PluginMovieIMDB-es.py
http://svn.berlios.de/svnroot/repos/griffith/trunk/lib/plugins/movie/PluginMovieIMDB-de.py
El segundo es el plugin en italiano y el cuarto en alemán. Yo os recomiendo sustituir, por lo menos la PluginMovieIMDB.py y PluginMovieIMDB-es.py
Importante usar “Guardar como” posicionando el ratón encima del enlace y pulsando el botón derecho.
Sustituir los plugins de las rutas:
Código:
/usr/share/griffith/lib
/usr/share/griffith/lib/plugins/movie

Para otras distros podéis realizar una búsqueda en el sistema por el nombre del archivo.
Borrar el archivo: IMDB.pyo-File de lo contrario, Griffith usará la antigua no detectando la nueva.
Reiniciar griffith

Espero que os sirva.

Un saludo

_________________
---y un día un pingüino se coló por mi ventanas---

EuropeSwPatentFree


Última edición por mirlo6 el Jue Jun 12, 2014 3:36 pm, editado 1 vez en total
 Perfil  

Desconectado
Administrador
Administrador
Avatar de Usuario

Registrado: Lun Abr 19, 2010 12:30 am
Mensajes: 3888
Ubicación: En una de las nalgas del culo del mundo (según la Bersuit Vergarabat)

Nota Publicado: Vie Dic 20, 2013 8:29 pm 
Arriba  
Muy buen aporte mirlo6 muchas gracias

_________________
Los programadores de verdad no documentan. La documentación es para los idiotas que no pueden leer un volcado de memoria.

Trusted Network and Developer | Lee el Reglamento !! |WIKI-EL | Twitter @mr_mcun
Debian + TTY | ArchLinux + awesome | openSUSE + Gnome-Shell | Linux User #508809

 Perfil WWW  

Desconectado
Miembro ETEL
Miembro ETEL
Avatar de Usuario

Registrado: Sab Jun 05, 2004 7:00 am
Mensajes: 1015
Ubicación: Segovia (España)

Nota Publicado: Jue Jun 12, 2014 3:43 pm 
Arriba  
Hola

Los enlaces del validator.py y de los plugins han sido eliminados o movidos (no están ahí pero no se si los han movido, no lo he comprobado todavía) y el error todavía persiste en la actual Ubuntu 14.04 LTS (Trusty Tahr).

Hasta que vuelva a encontrar los archivos o se solucione el problema, si hay alguien que busque los archivos que se ponga en contacto conmigo.

Un saludo

_________________
---y un día un pingüino se coló por mi ventanas---

EuropeSwPatentFree

 Perfil  

Desconectado
Forista Nuevo
Forista Nuevo

Registrado: Dom Nov 30, 2014 8:45 pm
Mensajes: 1

Nota Publicado: Dom Nov 30, 2014 8:59 pm 
Arriba  
Ola, Mirlo6, tengo los seguientes arquivos:

validators.py
PluginMovieIMDB.py
PluginMovieIMDB-de.py
PluginMovieIMDB-es.py
PluginMovieIMDB-it.py
PluginMovieIMDB-pt.py

Si aún lo deseas, envia-me un mensaje email a waldisius@gmail.com.

Perdona mi español (pero lo leo muy bien). Saludos.

 Perfil  
Mostrar mensajes previos:  Ordenar por  
 [ 4 mensajes ] 
Nuevo tema Responder al tema

Saltar a:  


 Temas relacionados   Autor   Respuestas   Vistas   Último mensaje 
Novata a la busqueda manejo de software en ubuntu

[ Ir a página: 1, 2 ]

en Software

Pizpireta

15

1906

Dom Ene 03, 2010 11:48 am

yoky Ver último mensaje

Problemitas com Ubuntu 7.10... [SIN SOLUCION]

en Sistema

tuxman

6

2175

Jue Mar 20, 2008 11:56 pm

tuxman Ver último mensaje

Solución para Knoppix 5.1 y Ubuntu desktop

en Instalación de distribuciones

lucaszxc22

5

996

Dom Sep 09, 2007 12:32 pm

niky45 Ver último mensaje

Solucion a la aceleracion grafica ATI x1600 Ubuntu Feisty

en Hardware

chucks

2

1786

Jue Ago 02, 2007 8:54 pm

chucks Ver último mensaje



¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 0 invitados

No puede abrir nuevos temas en este Foro
No puede responder a temas en este Foro
No puede editar sus mensajes en este Foro
No puede borrar sus mensajes en este Foro
No puede enviar adjuntos en este Foro

cron
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group :: Style based on FI Subice by phpBBservice.nl :: Todos los horarios son UTC + 1 hora [ DST ]
Traducción al español por Huan Manwë
phpBB SEO